using UnityEngine;
using System.Collections;

public class TouchControl : MonoBehaviour {

	#region Private Variables
	private int _whichChild = -1;
	#endregion


	#region Events

	#endregion


	#region Methods
	public bool ActivateNext () {

		if (_whichChild++ < transform.childCount - 1) {

			Transform t = transform.GetChild (_whichChild);

			if (t != null) {

				TriggerAnimation script = t.GetComponent <TriggerAnimation> ();
				script.Trigger ();
				return true;

			}

			return false;
			
		}

		return false;

	}
	#endregion

}
